[SRU] missing binaries in Ubuntu heat packages

Bug #1453160 reported by sri krishna on 2015-05-08
42
This bug affects 7 people
Affects Status Importance Assigned to Milestone
Ubuntu Cloud Archive
High
Unassigned
heat (Ubuntu)
High
Unassigned
Vivid
High
Unassigned
Wily
High
Unassigned

Bug Description

[Impact]
The heat package for vivid is not currently including all of the required binaries to administer a heat deployement.

[Test Case]
sudo apt-get install heat-common

heat-keystone-setup-domain
heat-db-setup

(both commands are missing)

[Regression potential]
None - just including the missing binaries

[Original Bug Report]
-----------------------------------
Built: 2015-05-07T20:35:12 00:00
git SHA: 117048cfb06b5791da03d9b3e5c89809278153c8
URL: http://docs.openstack.org/kilo/install-guide/install/apt/content/heat-install-controller-node.html
source File: file:/home/jenkins/workspace/openstack-manuals-tox-doc-publishdocs/doc/install-guide/section_heat-install.xml
xml:id: heat-install-controller-node

at section 3.b, the command given is "heat-keystone-setup-domain" which does not exist.

Related branches

Gauvain Pocentek (gpocentek) wrote :

This seems to be a bug in the ubuntu packages.

Changed in openstack-manuals:
status: New → Confirmed
importance: Undecided → High
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in heat (Ubuntu):
status: New → Confirmed
James Page (james-page) on 2015-05-21
Changed in heat (Ubuntu Vivid):
status: New → Confirmed
importance: Undecided → High
Changed in heat (Ubuntu Wily):
importance: Undecided → High
James Page (james-page) on 2015-05-26
Changed in heat (Ubuntu Wily):
status: Confirmed → In Progress
Changed in heat (Ubuntu Vivid):
status: Confirmed → In Progress
description: updated
summary: - wrong command in the heat domain in Identity service creation section
+ [SRU] missing binaries in Ubuntu heat packages
Changed in heat (Ubuntu Wily):
status: In Progress → Fix Committed
Tom Fifield (fifieldt) on 2015-05-26
Changed in openstack-manuals:
milestone: none → liberty
James Page (james-page) wrote :

Uploaded to vivid-proposed for SRU team review - wily is taking a bit longer due to shift in dependency chain requiring a number of bumps and archive admin activity.

Csaba Kallai (kallaics) wrote :

I had a same problem and I found this solutions as workaround, during I can not receive the script with the new release ( temporary solution).

Solution source: https://github.com/MarouenMechtri/OpenStack-Heat-Installation/blob/master/OpenStack-Heat-Installation.rst

I modified the it a little bit because the keystone token-get command is not working me under Juno.
I used "openstack token issue" instead of "keystone token-get"

Create heat domain:

source admin-openrc.sh

OS_TOKEN=$(openstack token issue |awk "/ id / { print \$4}")

KEYSTONE_ENDPOINT_V3=http://controller:5000/v3

HEAT_DOMAIN_ID=$(openstack --os-token $OS_TOKEN --os-url=$KEYSTONE_ENDPOINT_V3 \
--os-identity-api-version=3 domain create heat \
--description "Owns users and projects created by heat" | grep ' id ' | awk "{ print \$4}")

Create the heat_domain_admin user:

openstack --os-token $OS_TOKEN --os-url=$KEYSTONE_ENDPOINT_V3 \
--os-identity-api-version=3 user create --password service_pass \
--domain $HEAT_DOMAIN_ID heat_domain_admin \
--description "Manages users and projects created by heat"

openstack --os-token $OS_TOKEN --os-url=$KEYSTONE_ENDPOINT_V3 \
--os-identity-api-version=3 role add --user heat_domain_admin \
--domain $HEAT_DOMAIN_ID admin

Hello sri, or anyone else affected,

Accepted heat into vivid-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/heat/2015.1.0-0ubuntu1.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in heat (Ubuntu Vivid):
status: In Progress → Fix Committed
tags: added: verification-needed

Verification done, commands are present.

root@controller-1:~# cat /etc/lsb-release
DISTRIB_ID=Ubuntu
DISTRIB_RELEASE=15.04
DISTRIB_CODENAME=vivid
DISTRIB_DESCRIPTION="Ubuntu 15.04"

root@controller-1:~# apt-cache policy heat-common
heat-common:
  Installed: 2015.1.0-0ubuntu1.1
  Candidate: 2015.1.0-0ubuntu1.1
  Version table:
 *** 2015.1.0-0ubuntu1.1 0
        100 /var/lib/dpkg/status
     2015.1.0-0ubuntu1 0
        500 http://us.archive.ubuntu.com/ubuntu/ vivid-updates/main amd64 Packages
     2015.1~rc1-0ubuntu1 0
        500 http://us.archive.ubuntu.com/ubuntu/ vivid/main amd64 Packages

root@controller-1:~# heat-keystone-setup-domain --version
2015.1.0
root@controller-1:~# heat-db-setup --version
Set up a local MySQL database for use with heat.
This script will create a 'heat' database that is accessible
only on localhost by user 'heat' with password 'heat'.

Usage: heat-db-setup <rpm|deb> [options]
Options:
 select a distro type (rpm or debian)

 --help | -h
  Print usage information.
 --password <pw> | -p <pw>
  Specify the password for the 'heat' MySQL user that will
  use to connect to the 'heat' MySQL database. By default,
  the password 'heat' will be used.
 --rootpw <pw> | -r <pw>
  Specify the root MySQL password. If the script installs
  the MySQL server, it will set the root password to this value
  instead of prompting for a password. If the MySQL server is
  already installed, this password will be used to connect to the
  database instead of having to prompt for it.
 --yes | -y
  In cases where the script would normally ask for confirmation
  before doing something, such as installing mysql-server,
  just assume yes. This is useful if you want to run the script
  non-interactively.

tags: added: verification-done
removed: verification-needed

i guess the updates are only available on vivid. i am using trusty and
unable to install the new packages. can you please confirm if you have
tested this out on trusty?

On 06/05/2015 08:51 PM, Mike Lloyd wrote:
> Verification done, commands are present.
>
> root@controller-1:~# cat /etc/lsb-release
> DISTRIB_ID=Ubuntu
> DISTRIB_RELEASE=15.04
> DISTRIB_CODENAME=vivid
> DISTRIB_DESCRIPTION="Ubuntu 15.04"
>
> root@controller-1:~# apt-cache policy heat-common
> heat-common:
> Installed: 2015.1.0-0ubuntu1.1
> Candidate: 2015.1.0-0ubuntu1.1
> Version table:
> *** 2015.1.0-0ubuntu1.1 0
> 100 /var/lib/dpkg/status
> 2015.1.0-0ubuntu1 0
> 500 http://us.archive.ubuntu.com/ubuntu/ vivid-updates/main amd64 Packages
> 2015.1~rc1-0ubuntu1 0
> 500 http://us.archive.ubuntu.com/ubuntu/ vivid/main amd64 Packages
>
> root@controller-1:~# heat-keystone-setup-domain --version
> 2015.1.0
> root@controller-1:~# heat-db-setup --version
> Set up a local MySQL database for use with heat.
> This script will create a 'heat' database that is accessible
> only on localhost by user 'heat' with password 'heat'.
>
> Usage: heat-db-setup <rpm|deb> [options]
> Options:
> select a distro type (rpm or debian)
>
> --help | -h
> Print usage information.
> --password <pw> | -p <pw>
> Specify the password for the 'heat' MySQL user that will
> use to connect to the 'heat' MySQL database. By default,
> the password 'heat' will be used.
> --rootpw <pw> | -r <pw>
> Specify the root MySQL password. If the script installs
> the MySQL server, it will set the root password to this value
> instead of prompting for a password. If the MySQL server is
> already installed, this password will be used to connect to the
> database instead of having to prompt for it.
> --yes | -y
> In cases where the script would normally ask for confirmation
> before doing something, such as installing mysql-server,
> just assume yes. This is useful if you want to run the script
> non-interactively.
>
> ** Tags removed: verification-needed
> ** Tags added: verification-done
>

Ahmad Faizal (ahmad-faizal) wrote :

Hi Sri,

i'm also using trusty. cannot get the updates also. when can we have it for trusty?

hi faizal,

the publishing history shows that the update is only available for vivid.

https://launchpad.net/ubuntu/+source/heat/2015.1.0-0ubuntu1.1/+publishinghistory

not sure when it will be available for trysty.

-Sri

On 06/07/2015 01:42 PM, Ahmad Faizal wrote:
> Hi Sri,
>
> i'm also using trusty. cannot get the updates also. when can we have it
> for trusty?
>

Thiago Martins (martinx) wrote :

Hey guys, please, backport this to Trusty! Via Ubuntu Cloud Archive... Tks!

James Page (james-page) wrote :

Synced this update into the proposed pocket of the Kilo cloud archive.

Changed in cloud-archive:
status: New → Fix Committed
importance: Undecided → High
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package heat - 2015.1.0-0ubuntu1.1

---------------
heat (2015.1.0-0ubuntu1.1) vivid; urgency=medium

  * debian/heat-common.install: install missing scripts (LP: #1453160):
    - /usr/bin/heat-db-setup
    - /usr/bin/heat-keystone-setup-domain

 -- Gauvain Pocentek <email address hidden> Tue, 26 May 2015 11:56:08 +0100

Changed in heat (Ubuntu Vivid):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for heat has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package heat - 1:5.0.0~b1-0ubuntu1

---------------
heat (1:5.0.0~b1-0ubuntu1) wily; urgency=medium

  [ Corey Bryant ]
  * New upstream milestone for OpenStack Liberty:
    - d/control: Align (build-)depends with upstream.
    - d/p/fix-requirements.patch: Rebased.
    - d/p/sudoers_patch.patch: Rebased.

  [ James Page ]
  * d/s/options: Ignore any removal of egg-info data during package clean.
  * d/control: Drop MySQL and PostgreSQL related BD's, not required for unit
    testing.

 -- Corey Bryant <email address hidden> Tue, 07 Jul 2015 17:06:19 +0100

Changed in heat (Ubuntu Wily):
status: Fix Committed → Fix Released
Tom Fifield (fifieldt) on 2015-09-15
no longer affects: openstack-manuals
Changed in cloud-archive:
status: Fix Committed → Fix Released
James Page (james-page) on 2016-05-16
Changed in cloud-archive:
status: Fix Released → Fix Committed
James Page (james-page) wrote :
Download full text (16.9 KiB)

This bug was fixed in the package heat - 1:6.0.0-0ubuntu2~cloud0
---------------

 heat (1:6.0.0-0ubuntu2~cloud0) xenial-newton; urgency=medium
 .
   * New package for the Ubuntu Cloud Archive.
 .
 heat (1:6.0.0-0ubuntu2) yakkety; urgency=medium
 .
   * d/p/engine-shutdown.patch: Cherry pick fix to ensure that heat-engine
     worker processes are shutdown correctly when SIGINT is received early
     in the process lifecycle (LP: #1562042).
 .
 heat (1:6.0.0-0ubuntu1) xenial; urgency=medium
 .
   * New upstream release for OpenStack Mitaka.
 .
 heat (1:6.0.0~rc1-0ubuntu1) xenial; urgency=medium
 .
   * New upstream release candidate for OpenStack Mitaka.
   * d/control: Align (build-)depends with upstream.
 .
 heat (1:6.0.0~b3-0ubuntu1) xenial; urgency=medium
 .
   * New upstream milestone for OpenStack Mitaka.
   * d/p/use-oslo-config-fixture-for-tests.patch: Removed. Fixed upstream.
   * d/control: Align (build-)depends with upstream.
 .
 heat (1:6.0.0~b2-0ubuntu2) xenial; urgency=medium
 .
   * d/p/use-oslo-config-fixture-for-tests.patch: Cherry-picked from upstream
     master branch to fix test failures with new oslo.config versions.
 .
 heat (1:6.0.0~b2-0ubuntu1) xenial; urgency=medium
 .
   * New upstream milestone for OpenStack Mitaka.
   * d/control: Align (build-)depends with upstream.
 .
 heat (1:6.0.0~b1-0ubuntu1) xenial; urgency=medium
 .
   * New upstream milestone for OpenStack Mitaka.
   * d/control: Align (build-)depends with upstream.
   * d/p/fixup-assert-regex.patch: Rebased.
 .
 heat (1:5.0.0-0ubuntu1) wily; urgency=medium
 .
   * New upstream release for OpenStack Liberty.
 .
 heat (1:5.0.0~rc2-0ubuntu1) wily; urgency=medium
 .
   * New upstream release candidate for OpenStack Liberty.
   * Don't clean heat.egg-info ensuring that non-py resources actually
     get installed (LP: #1505444).
 .
 heat (1:5.0.0~rc1-0ubuntu1) wily; urgency=medium
 .
   * New upstream release candidate for OpenStack Liberty.
   * d/control: Align (build-)depends with upstream.
   * d/watch: Update to cope with upstream rc versioning.
   * d/rules: Drop removal of .eggs directory in override_dh_auto_clean.
   * d/control: Bump minimum pbr version to 1.8.
 .
 heat (1:5.0.0~b3-0ubuntu1) wily; urgency=medium
 .
   * New upstream milestone for OpenStack Liberty.
   * d/control: Align (build-)depends with upstream.
   * d/p/fix-dummy-resource-missing.patch: Dropped. Fixed in milestone.
   * d/p/move-extensions.patch: Dropped. Fixed in milestone.
 .
 heat (1:5.0.0~b2-0ubuntu2) wily; urgency=medium
 .
   * d/control: Add python-pymysql to (build-)depends.
   * d/p/fix-dummy-resource-missing.patch: Cherry-picked from master to fix
     failing tests.
   * d/p/move-extensions: Cherry-picked from master to fix failing tests.
 .
 heat (1:5.0.0~b2-0ubuntu1) wily; urgency=medium
 .
   * New upstream milestone for OpenStack Liberty.
   * d/control: Align (build-)depends with upstream.
   * d/p/fix-requirements.patch: Dropped. No longer needed.
   * d/p/fixup-assert-regex.patch: Rebased.
   * d/rules: Remove .eggs directory in override_dh_auto_clean.
 .
 heat (1:5.0.0~b1-0ubuntu4) wily; urgency=medium
 .
   * d/heat-common.install: Include missing templates ...

Changed in cloud-archive:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers